ALARM(2)

NAME
alarm - set an alarm clock for delivery of a signal

SYNOPSIS
#include <unistd.h>

unsigned int alarm(unsigned int seconds);

DESCRIPTION
alarm arranges for a SIGALRM signal to be delivered to the process in seconds seconds. If seconds is zero, no new alarm is scheduled. In any event any previously set alarm is cancelled.

RETURN VALUE
alarm returns the number of seconds remaining until any previously scheduled alarm was due to be delivered, or zero if there was no previously scheduled alarm.

NOTES
alarm and setitimer share the same timer; calls to one will interfere with use of the other. Scheduling delays can, as ever, cause the execution of the process to be delayed by an arbitrary amount of time.

CONFORMING TO
SVr4, SVID, POSIX, X/OPEN, BSD 4.3

SEE ALSO
setitimer(2), signal(2), sigaction(2), gettimeofday(2), select(2), pause(2), sleep(3)